## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
Tool for analysis of electrophysiology in Python.

This package was originally developed by Mike Vella. This has been updated by
Padraig Gleeson and others (and moved to NeuralEnsemble) to continue
development of pyelectro and Neurotune for use in OpenWorm, Open Source Brain
and other projects.}

Name:           python-pyelectro
Version:        0.2.5
Release:        %autorelease
Summary:        A library for analysis of electrophysiological data

License:        BSD
URL:            https://github.com/NeuralEnsemble/pyelectro
Source0:        %{url}/archive/v%{version}/pyelectro-%{version}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-pyelectro
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-pyelectro %_description

%package doc
Summary:        %{summary}

%description doc
Documentation for %{name}.

%prep
%autosetup -n pyelectro-%{version}

%generate_buildrequires
%pyproject_buildrequires -r requirements-dev.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyelectro

%check
%{pytest}

%files -n python3-pyelectro -f %{pyproject_files}
%doc README.md

%files doc
%license LICENSE
%doc examples

%changelog
* Wed May 17 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.2.5-1
- feat: update to 0.2.5 (fixes rhbz#2203436)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 0.2.4-2
- Rebuilt for Python 3.11

* Tue Feb 22 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.2.4-1
- feat: update to 0.2.4 (fixes rhbz#2056939)

* Fri Feb 11 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.2.1-3
- fix: include license in doc subpackage

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.10-8
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.10-5
- Explicitly BR setuptools

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.10-4
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 0.1.10-1
- Added mock back to the BuildRequires

* Wed Dec 25 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 0.1.10-1
- Updated to v0.1.10
- Using a pre-defined release instead of a git commit
- Removed matplotlib and mock from BuildRequires

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.9-20190723git7a64bc7
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.9-20190722git7a64bc7
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-20190721git7a64bc7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.9-20190720git7a64bc7
- Initial build


